#include "IntentView.h"

using namespace cocos2d;
using namespace ui;

bool IntentView::init()
{
    if (!BaseView::init())
        return false;
    
    logo->setPosition(logo->getPosition().x, logo->getPosition().y + 100);
    
    int yPos = logo->getPosition().y - logo->getBoundingBox().size.height / 2;
    
    auto lblIntentMessage = BaseView::createLabel("Sample Intent Screen", 35, Color3B::BLACK, Vec2(visibleSize.width / 2, yPos));
    lblIntentMessage->setTextHorizontalAlignment(TextHAlignment::CENTER);
    this->addChild(lblIntentMessage);
    
    return true;
}

void IntentView::handleBackPress(cocos2d::Ref *pSender)
{
    changeView(AppView::MainView);
}